package com.zanxiang.game.data.serve.pojo.dto;

import com.zanxiang.game.data.serve.pojo.base.BasePage;
import com.zanxiang.game.data.serve.pojo.entity.AdsGameDay;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigInteger;
import java.time.LocalDate;

/**
 * @author tianhua
 * @time 2023/7/12
 * @Description 游戏每日数据前端查询参数实体
 **/
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GameDataDayDTO extends BasePage {

    /**
     * 推广游戏名称
     */
    @ApiModelProperty(notes = "游戏名称")
    private String gameName;

    /**
     * 推广游戏应用类别
     */
    @ApiModelProperty(notes = "游戏类别")
    private BigInteger gameClassify;

    /**
     * 注册时间（开始）
     */
    @ApiModelProperty(notes = "注册开始时间")
    private LocalDate registeredBeginDate;

    /**
     * 注册时间（结束）
     */
    @ApiModelProperty(notes = "注册结束时间")
    private LocalDate registeredEndDate;

}
